package nl.amis.treemapdemo.view;

import oracle.adf.model.BindingContext;
import oracle.adf.model.binding.DCBindingContainer;

import oracle.jbo.Row;

public class IteratorBean {

    public String getGoNext() {
        String result = "";
        DCBindingContainer dc =
            (DCBindingContainer)BindingContext.getCurrent().getCurrentBindingsEntry();
        Row currentRow =
            dc.findIteratorBinding("DepartmentMasters1Iterator").getViewObject().getCurrentRow();
        if (currentRow != null) {
            String[] attributeNames = currentRow.getAttributeNames();
            double salsum =
                ((oracle.jbo.domain.Number)currentRow.getAttribute("SalSum")).doubleValue();
            result = (String)currentRow.getAttribute("Dname")
                ;
        }
        dc.findIteratorBinding("DepartmentMasters1Iterator").getViewObject().next();
        return result;
    }

    public float getScaleFactorCurrentDepartment() {
        float result = 0;
        DCBindingContainer dc =
            (DCBindingContainer)BindingContext.getCurrent().getCurrentBindingsEntry();
        Row currentRow =
            dc.findIteratorBinding("DepartmentMasters1Iterator").getViewObject().getCurrentRow();
        if (currentRow != null) {
            double salsum =
                ((oracle.jbo.domain.Number)currentRow.getAttribute("SalSum")).doubleValue();
          //  result = (float)Math.sqrt(salsum / 20000); // for the 2D squarified case; note: 20000 is an estimate based on the sum of all salaries in the companies; this should not be hard-coded
            result = (float)(salsum / 20000); // for the 1D slicedAndDiced case
        }
        return result;
    }


}
